--DROP TABLE FEDLOGDB.NMCRL_ORG_GLN CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG_GLN
(
  NCAGE  VARCHAR2(5 BYTE)                       NOT NULL,
  GLN    VARCHAR2(50 CHAR)                      NOT NULL
);


CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG_GLN ON FEDLOGDB.NMCRL_ORG_GLN
(NCAGE, GLN);

ALTER TABLE FEDLOGDB.NMCRL_ORG_GLN ADD (
  CONSTRAINT P_NMCRL_ORG_GLN
  PRIMARY KEY
  (NCAGE, GLN)
  USING INDEX FEDLOGDB.P_NMCRL_ORG_GLN
  ENABLE VALIDATE);


CREATE INDEX FEDLOGDB.I_NMCRL_ORG_GLN_NCAGE ON FEDLOGDB.NMCRL_ORG_GLN
(NCAGE);

ALTER TABLE FEDLOGDB.NMCRL_ORG_GLN ADD (
  CONSTRAINT F_NMCRLORGGLN_NMCRLORG 
  FOREIGN KEY (NCAGE) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE);
